<?php
include("../init.php");
function Avisar(){
	@$GLOBALS['ISC_CLASS_DB']->Query("CREATE TABLE IF NOT EXISTS `loja_avisar` (
	  `id` int(10) NOT NULL auto_increment,
	  `produto` int(10) NOT NULL,
	  `produtovar` int(10) NOT NULL,
	  `nome` varchar(100) NOT NULL,
	  `email` varchar(100) NOT NULL,
	  `data` varchar(20) NOT NULL,
	  `avisado` enum('S','N') NOT NULL,
	  PRIMARY KEY  (`id`)
	) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1000 ;");

	$r = $GLOBALS['ISC_CLASS_DB']->Query('SELECT * FROM `loja_avisar` WHERE produto = "'.$_POST['id_produto'].'" AND email = "'.$_POST['email'].'" AND  produtovar = "'.$_POST['variacao'].'"');
	$dados = $GLOBALS['ISC_CLASS_DB']->Fetch($r);

	//se nao possuir registro
	if(empty($dados['email'])){
		$image = "INSERT INTO `loja_avisar` (
		`id` ,
		`produto` ,
		`produtovar` ,
		`nome` ,
		`email` ,
		`data` ,
		`avisado`
		)
		VALUES (NULL , '".(int)$_POST['id_produto']."', '".(int)$_POST['variacao']."', '".$_POST['nome']."', '".$_POST['email']."', '".time()."', 'N');";
		@$GLOBALS['ISC_CLASS_DB']->Query($image);
		echo'<div class="alert alert-success" role="alert">Obrigado pelo interessar em nossos produtos!<br>Assim que o produto estiver em nosso estoque, entraremos em contato com você.</div>';
	}else{
		echo '<div class="alert alert-danger" role="alert">Email já cadastrado para o produto!<br>Assim que o produto estiver em nosso estoque, entraremos em contato com você.';
	}
}
Avisar();
?>